Hosted Venue Accounts

Get hosted venue deposit address

GET
/users/me/venue-accounts/{venue}/deposit-address

Authorization

appIdbearerAuth
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

headerAuthorizationBearer <JWT>

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Path Parameters

venue*string

Query Parameters

mode?string
Value in"live""paper"

Response Body

200

application/json
  1. response
venue*"betdex"
Value in"betdex"
accountId*string
environment*string
Value in"sandbox""production"
asset*"USDC"
Value in"USDC"
network*"solana"
Value in"solana"
address*string
Match^[1-9A-HJ-NP-Za-km-z]+$
Length32 <= length <= 44
observedAt*string
Formatdate-time
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/users/me/venue-accounts/string/deposit-address'
Example Response
{  "venue": "betdex",  "accountId": "string",  "environment": "sandbox",  "asset": "USDC",  "network": "solana",  "address": "stringstringstringstringstringst",  "observedAt": "2019-08-24T14:15:22Z"}